c ftcs_step.f
c Forward Time Centered Space explicit scheme
c Numerical Recipes, s. 19.1, p. http://www.nr.com
c Miroslav Broz (miroslav.broz@email.cz), Jul 17th 2007

      subroutine ftcs_step(u_n,N,dt,dx,D,u_n_plus_1)

      implicit none
      integer N
      real*8 u_n(0:N),u_n_plus_1(0:N),dt,dx,D

      integer j

      u_n_plus_1(0) = u_n(0)
      u_n_plus_1(N) = u_n(N)

      do j = 1, N-1
        u_n_plus_1(j) = u_n(j)
     :    + dt * D * (u_n(j+1) - 2*u_n(j) + u_n(j-1)) / dx**2
      enddo

      return
      end


