c  insolation_test.f
c  Miroslav Broz (miroslav.broz@email.cz), May 6th 2007

      program insolation_test

      implicit none

      real*8 t,tmin,tmax,dt,P,f,r
      real*8 n_perp(3),n_Sun_t0(3)
      real*8 insolation

      tmin = 0.d0
      tmax = 1000.d0
      dt = 1.d0

      r = 2.5d0
      P = 0.1d0
      P = P*3600.d0
      f = 1.d0/P
      n_Sun_t0(1) = 0.1d0
      n_Sun_t0(2) = 0.0d0
      n_Sun_t0(3) = 0.9d0
      n_perp(1) = 0.0d0
      n_perp(2) = 1.0d0
      n_perp(3) = -0.1d0

      t = tmin
      do while (t.le.(tmax + 0.5d0*dt))
        write(*,*) t,insolation(t,f,r,n_perp,n_Sun_t0)
        t = t + dt
      enddo

      return
      end


