
c-----------------------------------------------------------------------

c
c  Insolation term (dependence on time and distance)
c
      real*8 function Insolation(t,f,r,n_perp,n_Sun_t0)

      include 'const.inc'

      real*8 t,f,r,n_perp(3),n_Sun_t0
      real*8 n_Sun(3),tmp
c  functions
      real*8 dotprod

      call rotat3(n_Sun_t0, n_Sun, 2.d0*pi*f*t)

      tmp = dotprod(n_perp,n_Sun)
      if (tmp.gt.0) then
        Insolation = S0/r**2 * tmp
      else
        Insolation = 0.d0
      endif
      
      return
      end


